Bug 1631078 (CVE-2018-17101) - CVE-2018-17101 libtiff: Two out-of-bounds writes in cpTags in tools/tiff2bw.c and tools/pal2rgb.c
Summary: CVE-2018-17101 libtiff: Two out-of-bounds writes in cpTags in tools/tiff2bw.c...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-17101
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1631080 1631079 1631082 1631083 1631084 1632579
Blocks: 1631081
TreeView+ depends on / blocked
 
Reported: 2018-09-19 20:29 UTC by Pedro Sampaio
Modified: 2020-07-08 08:27 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 19:19:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2053 None None None 2019-08-06 12:09:01 UTC

Description Pedro Sampaio 2018-09-19 20:29:54 UTC
An issue was discovered in LibTIFF 4.0.9. There are two out-of-bounds writes in cpTags in tools/tiff2bw.c and tools/pal2rgb.c, which can cause a denial of service (application crash) or possibly have unspecified other impact via a crafted image file.

Upstream issue:

http://bugzilla.maptools.org/show_bug.cgi?id=2807

Upstream patch:

https://gitlab.com/libtiff/libtiff/merge_requests/33/diffs?commit_id=f1b94e8a3ba49febdd3361c0214a1d1149251577

Comment 1 Pedro Sampaio 2018-09-19 20:30:56 UTC
Created libtiff tracking bugs for this issue:

Affects: fedora-all [bug 1631079]


Created mingw-libtiff tracking bugs for this issue:

Affects: epel-7 [bug 1631082]
Affects: fedora-all [bug 1631080]

Comment 3 Huzaifa S. Sidhpurwala 2018-09-25 07:24:27 UTC
Out of bounds write, seems non-exploitable, so mostly crash only.

Comment 6 errata-xmlrpc 2019-08-06 12:08:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2053 https://access.redhat.com/errata/RHSA-2019:2053

Comment 7 Product Security DevOps Team 2019-08-06 19:19:46 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-17101


Note You need to log in before you can comment on or make changes to this bug.